// Fill out your copyright notice in the Description page of Project Settings.


#include "MainBountyClass.h"

void AMainBountyClass::BuySpawnAmmoDrops()
{
	FActorSpawnParameters SpawnParameters;
	SpawnParameters.SpawnCollisionHandlingOverride = ESpawnActorCollisionHandlingMethod::AlwaysSpawn;
	for (FTransform Spawn : AmmoDropSpawnTransforms)
	{
		GetWorld()->SpawnActor<AActor>(AmmoDropClass, Spawn.GetLocation(), Spawn.GetRotation().Rotator(), SpawnParameters);
	}
}

void AMainBountyClass::BuySpawnHealthDrops()
{
	FActorSpawnParameters SpawnParameters;
	SpawnParameters.SpawnCollisionHandlingOverride = ESpawnActorCollisionHandlingMethod::AlwaysSpawn;
	for (FTransform Spawn : HealthDropSpawnTransforms)
	{
		GetWorld()->SpawnActor<AActor>(HealthDropClass, Spawn.GetLocation(), Spawn.GetRotation().Rotator(), SpawnParameters);
	}
}